> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verification Request Status History

> Get the history of status changes for a verification request.

Returns a paginated list of historical status changes including the reason for each change and when it occurred.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/toll-free-verification.yml get /messaging/tollfree/verification/requests/{id}/status/history
openapi: 3.1.0
info:
  title: Telnyx Toll-free Verification API
  version: 2.0.0
  description: API for Toll-free verification.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging/tollfree/verification/requests/{id}/status/history:
    get:
      tags:
        - Verification Requests
      summary: Get Verification Request Status History
      description: >-
        Get the history of status changes for a verification request.


        Returns a paginated list of historical status changes including the
        reason for each change and when it occurred.
      operationId: GetVerificationStatusHistory
      parameters:
        - required: true
          schema:
            title: Id
            type: string
            format: uuid
          name: id
          in: path
        - required: true
          schema:
            title: Page Number
            minimum: 1
            type: integer
          name: page[number]
          in: query
        - required: true
          schema:
            title: Page Size
            minimum: 1
            type: integer
            description: >-
              Request this many records per page. This value is automatically
              clamped if the provided value is too large.
          name: page[size]
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Paginated_VerificationStatusHistoryEntry_'
        4XX:
          $ref: '#/components/responses/toll-free-verification_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.messagingTollfree.verification.requests.retrieveStatusHistory(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { 'page[number]': 1, 'page[size]': 1 },
            );


            console.log(response.records);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.messaging_tollfree.verification.requests.retrieve_status_history(
                id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                page_number=1,
                page_size=1,
            )

            print(response.records)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.MessagingTollfree.Verification.Requests.GetStatusHistory(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.MessagingTollfreeVerificationRequestGetStatusHistoryParams{\n\t\t\tPageNumber: 1,\n\t\t\tPageSize:   1,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Records)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryParams;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.RequestRetrieveStatusHistoryResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RequestRetrieveStatusHistoryParams params = RequestRetrieveStatusHistoryParams.builder()
                        .id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .pageNumber(1L)
                        .pageSize(1L)
                        .build();
                    RequestRetrieveStatusHistoryResponse response = client.messagingTollfree().verification().requests().retrieveStatusHistory(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.messaging_tollfree.verification.requests.retrieve_status_history(
              "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              page_number: 1,
              page_size: 1
            )


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client
                ->messagingTollfree
                ->verification
                ->requests
                ->retrieveStatusHistory(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', pageNumber: 1, pageSize: 1
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: >-
            telnyx messaging-tollfree:verification:requests
            retrieve-status-history \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --page-number 1 \
              --page-size 1
components:
  schemas:
    Paginated_VerificationStatusHistoryEntry_:
      title: Paginated[VerificationStatusHistoryEntry]
      type: object
      required:
        - records
        - total_records
      properties:
        records:
          title: Records
          type: array
          items:
            $ref: '#/components/schemas/VerificationStatusHistoryEntry'
          description: The records yielded by this request
          default: []
        total_records:
          title: Total Records
          type: integer
          description: The total amount of records for these query parameters
          default: 0
      description: A paginated response
    VerificationStatusHistoryEntry:
      title: VerificationStatusHistoryEntry
      required:
        - verificationStatus
        - updatedAt
      type: object
      properties:
        verificationStatus:
          allOf:
            - $ref: '#/components/schemas/TFVerificationStatus'
          description: The verification status at this point in time
        reason:
          title: Reason
          type:
            - string
            - 'null'
          maxLength: 500
          description: An explanation of why this request has its current status.
          example: >-
            Unfortunately, we have to cancel this request as we do not support
            non tollfree US numbers.
        updatedAt:
          title: Updatedat
          type: string
          format: date-time
          description: The timestamp at which this status change occurred
      description: A single entry in the verification request status history
    toll-free-verification_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/toll-free-verification_Error'
      type: object
    TFVerificationStatus:
      title: VerificationStatus
      enum:
        - Verified
        - Rejected
        - Waiting For Vendor
        - Waiting For Customer
        - Waiting For Telnyx
        - In Progress
      type: string
      description: Tollfree verification status
    toll-free-verification_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    toll-free-verification_GenericErrorResponse:
      description: Generic error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/toll-free-verification_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````